PostgreSQL 7.2.1 Documentation
Prev |  | Next

# fieldname

## Name

fieldname -- field number-name conversion

## Synopsis

    fieldname(i)

### Parameters

`i`

  field number (integer).

### Return Type

string

  field name.

### Exceptions

TypeError

  Bad parameter type, or too many arguments.

`ValueError`

  Invalid field number.

pg.error

  Invalid query result, or invalid connection.

## Description

`fieldname()` method allows to find a field name from its rank number. It can be useful for displaying a result. The fields are in the same order than the result values.

Prev | Home | Next
listfields | Up | fieldnum